# studio::Widget_Vector Class Reference

`#include <widget_vector.h>`

List of all members.

## Public Member Functions

void | activate ()
void | set_canvas (synfig::Canvas::LooseHandle)
synfig::Canvas::LooseHandle | get_canvas () const
sigc::signal< void > & | signal_value_changed ()
sigc::signal< void > & | signal_activate ()
void | on_value_changed ()
void | on_grab_focus ()
void | set_value (const synfig::Vector &data)
const synfig::Vector & | get_value ()
void | set_has_frame (bool x)
void | set_digits (int x)
| Widget_Vector ()
| ~Widget_Vector ()

## Protected Member Functions

void | show_all_vfunc ()

## Constructor & Destructor Documentation

Widget_Vector::Widget_Vector | ( |  | ) |

References activate(), DIGITS, and on_value_changed().

Widget_Vector::~Widget_Vector | ( |  | ) |

## Member Function Documentation

void studio::Widget_Vector::activate | ( |  | ) | `[inline]`

Referenced by Widget_Vector().

void Widget_Vector::set_canvas | ( | synfig::Canvas::LooseHandle | x | ) |

Referenced by studio::CanvasOptions::CanvasOptions(), and studio::Widget_ValueBase::set_value().

synfig::Canvas::LooseHandle studio::Widget_Vector::get_canvas | ( |  | ) | const`[inline]`

sigc::signal<void>& studio::Widget_Vector::signal_value_changed | ( |  | ) | `[inline]`

Referenced by on_value_changed().

sigc::signal<void>& studio::Widget_Vector::signal_activate | ( |  | ) | `[inline]`

Referenced by studio::Widget_ValueBase::Widget_ValueBase().

void Widget_Vector::on_value_changed | ( |  | ) |

References signal_value_changed().

Referenced by Widget_Vector().

void Widget_Vector::on_grab_focus | ( |  | ) |

void Widget_Vector::set_value | ( | const synfig::Vector & | data | ) |

References studio::App::distance_system, and studio::Widget_Distance::set_value().

Referenced by studio::Widget_RendDesc::refresh(), studio::CanvasOptions::refresh(), and studio::Widget_ValueBase::set_value().

const synfig::Vector & Widget_Vector::get_value | ( |  | ) |

References studio::Widget_Distance::get_value().

Referenced by studio::Widget_ValueBase::get_value().

void Widget_Vector::set_has_frame | ( | bool | x | ) |

Referenced by studio::Widget_ValueBase::inside_cellrenderer().

void Widget_Vector::set_digits | ( | int | x | ) |

Referenced by studio::CanvasOptions::CanvasOptions().

void Widget_Vector::show_all_vfunc | ( |  | ) | `[protected]`

The documentation for this class was generated from the following files:

- widget_vector.h
- widget_vector.cpp